Users / Profile

List my schedules

GET/users/me/schedules

List the schedules registered by the authenticated user. Schedules are taken into account when computing meeting availability: slots overlapping a schedule cannot be booked.

AuthLogin required

Query parameters

eventIdstringoptional

Filter by event.

datestringoptional

Filter by date (YYYY-MM-DD).

timezonestringoptional

Timezone used to interpret date (e.g. Asia/Tokyo).

participantIdstringoptional

Return the schedules of the given user (to check a meeting partner's availability).

Response

FieldTypeDescription
schedulesSchedule[]Array of schedules.
Request
curl https://api.4s.link/users/me/schedules \
-H "Authorization: Bearer 4s_at_..."
Example response
{
"schedules": [
{
"id": "sc1a2b3c-...",
"userId": "u1a2b3c4-...",
"eventId": "ev1a2b3c-...",
"startAt": "2026-06-01T03:00:00.000Z",
"endAt": "2026-06-01T04:00:00.000Z",
"description": "打ち合わせ"
}
]
}